'use strict';
var generators = require('yeoman-generator');
var extend = require('extend');

module.exports = generators.Base.extend({
    constructor: function () {
        generators.Base.apply(this, arguments);
    },
    answers: {
        name: 'jQuery & Bootstrap'
    },
    initializing: function () {
        this.log('____________________________________________________________________________');
        this.log('');
        this.log('Welcome to jquery-bootstrap-simple Yeoman generator !');
        this.log('jQuery & Bootstrap skeleton for javascript and html development/tests');
        this.log('____________________________________________________________________________');
    },
    prompting: function(){
        var done = this.async();
        this.prompt([{
            type: 'input',
            name: 'name',
            message: 'Sepecify name of application:',
            default: this.answers.name
        }], function (answers) {
            extend(this.answers, answers);
            done();
        }.bind(this));
    },
    configuring: function(){
        this.config.set(this.answers);
    },
    writing: function(){
        this.fs.copy(this.templatePath('public'), this.destinationPath('public'));
        this.fs.copyTpl(
            this.templatePath('public/index.html'),
            this.destinationPath('public/index.html'),
            {title: this.answers.name}
        );
        this.fs.copy(this.templatePath('root'), this.destinationPath());
        this.fs.copy(this.templatePath('hidden-root/bowerrc'), this.destinationPath('.bowerrc'));
        this.fs.copy(this.templatePath('hidden-root/editorconfig'), this.destinationPath('.editorconfig'));
        this.fs.copy(this.templatePath('hidden-root/gitattributes'), this.destinationPath('.gitattributes'));
        this.fs.copy(this.templatePath('hidden-root/gitignore'), this.destinationPath('.gitignore'));
    },
    install: function(){
        this.spawnCommand('npm', ['install']);
        this.spawnCommand('bower', ['install']);
    }
});